javax.activation

## Interface CommandObject

-     public interface CommandObject

  JavaBeans components that are Activation Framework aware implement this interface to find out which command verb they're being asked to perform, and to obtain the DataHandler representing the data they should operate on. JavaBeans that don't implement this interface may be used as well. Such commands may obtain the data using the Externalizable interface, or using an application-specific method.

  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCommandContext(String verb, DataHandler dh)` Initialize the Command with the verb it is requested to handle and the DataHandler that describes the data it will operate on.

- - ### Method Detail

    - #### setCommandContext

          void setCommandContext(String verb,
                               DataHandler dh)
                                 throws IOException

      Initialize the Command with the verb it is requested to handle and the DataHandler that describes the data it will operate on. NOTE: it is acceptable for the caller to pass null as the value for `DataHandler`.
      Parameters:
        `verb` - The Command Verb this object refers to.
        `dh` - The DataHandler.
      Throws:
        `IOException`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.